LOADEXTERNAL(1)

NAME
loadexternal - Runs TPM2 loadexternal

DESCRIPTION
loadexternal

Runs TPM2_LoadExternal

[-hi
    hierarchy (e, o, p, n) (default NULL)]

[-nalg
    name hash algorithm (sha1, sha256, sha384, sha512) (default sha256)]

[-halg
    scheme hash algorithm (sha1, sha256, sha384, sha512) (default sha256)]

    [Asymmetric Key Algorithm]

[-rsa
    (default)]

[-ecc
    ]

-ipu
    TPM2B_PUBLIC public key file name

-ipem
    PEM format public key file name

-ider
    DER format plaintext key pair file name

[-pwdk
    password for DER key (default empty)]

[-uwa
    userWithAuth attribute clear (default set)]

[-si
    signing (default) RSA]

[-scheme
    for signing key (default RSASSA scheme)]

    rsassa rsapss

[-st
    storage (default NULL scheme)]

[-den
    decryption, (unrestricted, RSA and EC NULL scheme)

[-ns
    additionally print Name in hex ascii on one line] Useful to paste into policy

-se[0-2] session handle / attributes (default NULL)

01  continue

20  command decrypt

40  response encrypt

80  audit